Bug 114580 - [PATCH] sysutils/fusefs-libs 2.7.0
Summary: [PATCH] sysutils/fusefs-libs 2.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-14 14:50 UTC by Martin Matuska
Modified: 2007-07-20 00:07 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.31 KB, patch)
2007-07-14 14:50 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2007-07-14 14:50:03 UTC
The update of sysutils/fusefs-libs to 2.7.0 made this port useless.
All depending ports don't work anymore and exit with the text:

fuse: unknown option: subtype=[progname]

where [progname] is the name of the userland daemon (e.g. sshfs or curlftpfs)

This is because of a linux-specific change in fusefs-libs between 2.7.0-rc1 
and 2.7.0 final with the CVS log entry: 
"Add fs subtype support to libfuse and fusermount"

The attached patch reverts this change and fixes this problem. To support
fusefs-libs without the patch below fusefs-kmod needs to be changed.

Maintainer please approve.
Comment 1 Martin Matuska freebsd_committer 2007-07-14 18:00:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback. 


Comment 2 Martin Matuska freebsd_committer 2007-07-14 18:00:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

I'll take this.
Comment 3 dfilter service freebsd_committer 2007-07-19 15:32:24 UTC
mm          2007-07-19 14:32:18 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/fusefs-libs Makefile 
  Added files:
    sysutils/fusefs-libs/files patch-subtype 
  Log:
  - patch to remove linux-specific "filesystem subtype" code
  - depending fusefs ports are usable again
  
  PR:             ports/114580
  Submitted by:   mm
  Approved by:    maintainer (timeout), garga (mentor)
  
  Revision  Changes    Path
  1.14      +1 -0      ports/sysutils/fusefs-libs/Makefile
  1.1       +138 -0    ports/sysutils/fusefs-libs/files/patch-subtype (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Matuska freebsd_committer 2007-07-19 15:38:34 UTC
State Changed
From-To: feedback->patched

Reduction of maintainer timeout approved by portmgr@ 
Patch ready to commit.
Comment 5 Martin Matuska freebsd_committer 2007-07-20 00:07:00 UTC
State Changed
From-To: patched->closed

Commited.